system-config-printer (1.5.18-1ubuntu7) noble; urgency=medium

  * Drop build dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 16:13:32 +0100

system-config-printer (1.5.18-1ubuntu6) noble; urgency=medium

  * Fix installation of cupshelpers module with Python 3.12.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 21 Mar 2024 01:02:22 +0100

system-config-printer (1.5.18-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:57:38 +1300

system-config-printer (1.5.18-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:03:56 +0000

system-config-printer (1.5.18-1ubuntu3) mantic; urgency=medium

  * Fix last upload to show the .desktop in GNOME

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 09 Sep 2023 09:41:18 -0400

system-config-printer (1.5.18-1ubuntu2) mantic; urgency=medium

  * debian/patches/Hide-Printers-app-in-GNOME-and-KDE.patch: include the
    .desktop again in GNOME sessions, the access button was removed from
     settings and the GUI isn't installed by default (lp: #2034895)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Sep 2023 11:01:31 +0200

system-config-printer (1.5.18-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add Rename-app-to-Printers.patch
    - Add Hide-Printers-app-in-GNOME-and-KDE.patch
    - Add Allow-installing-non-free-drivers-from-OpenPrinting.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 08:11:26 -0500

system-config-printer (1.5.18-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop dark style patch: applied in new release
  * debian/control.in: Bump Standards-Version to 4.6.1
  * debian/control.in: Set Rules-Requires-Root: no
  * Add debian/upstream/metadata
  * Remove obsolete maintscript

  [ Till Kamppeter ]
  * Drop no-longer-needed dependency on python3-requests (LP: #1959440)
  * debian/rules: Set --with-cups-serverbin-dir

  [ Gunnar Hjalmarsson ]
  * debian/rules: Refresh the .pot file when building on Ubuntu (LP: #1971473)

  [ Helmut Grohne ]
  * Drop obsolete Build-Depends: libxml-parser-perl for intltool
    (Closes: #1022989)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Dec 2022 16:04:11 -0500

system-config-printer (1.5.18-0ubuntu2) kinetic; urgency=medium

  * Needs "./configure ... --with-cups-serverbin-dir=/usr/lib/cups" in Kinetic

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 09 Sep 2022 13:32:22 +0200

system-config-printer (1.5.18-0ubuntu1) kinetic; urgency=medium

  * New upstream release bug fix release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 09 Sep 2022 12:25:22 +0200

system-config-printer (1.5.17-0ubuntu1) kinetic; urgency=medium

  * New upstream release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Aug 2022 23:08:15 +0200

system-config-printer (1.5.16-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on autoconf-archive
  * debian/control.in: Drop obsolete Build-Depends for intltool
  * debian/control.in: Drop obsolete dependency on python3-requests
    (LP: #1959440)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 13:08:22 -0500

system-config-printer (1.5.16-0ubuntu4) kinetic; urgency=medium

  * debian/rules: Refresh the .pot file when building (LP: #1971473)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 25 Jul 2022 23:59:43 +0200

system-config-printer (1.5.16-0ubuntu3) jammy; urgency=medium

  * Updated build-depends:, removing intltool and adding gettext and
    autoconf-archive.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 21 Feb 2022 15:01:23 +0100

system-config-printer (1.5.16-0ubuntu2) jammy; urgency=medium

  * Removed the explicit "Depends: python3-requests" (LP: #1959440).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 20 Feb 2022 23:25:23 +0100

system-config-printer (1.5.16-0ubuntu1) jammy; urgency=medium

  * New upstream release
    - One year of bug fixes and translations.
  * Refreshed 0007-fix-pk-package-name.patch
  * Updated Rename-app-to-Printers.patch

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 20 Feb 2022 22:32:23 +0100

system-config-printer (1.5.15-2ubuntu1) jammy; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add Rename-app-to-Printers.patch
    - Add Hide-Printers-app-in-GNOME-and-KDE.patch
    - Add Allow-installing-non-free-drivers-from-OpenPrinting.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:41:04 -0500

system-config-printer (1.5.15-2) unstable; urgency=medium

  * Add patch to support GNOME 42 dark theme preference
  * debian/control.in: Depend on gir1.2-handy-1 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:37:20 -0500

system-config-printer (1.5.15-1ubuntu1) jammy; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add Rename-app-to-Printers.patch
    - Add Hide-Printers-app-in-GNOME-and-KDE.patch
    - Add Allow-installing-non-free-drivers-from-OpenPrinting.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 11:12:00 -0500

system-config-printer (1.5.15-1) unstable; urgency=medium

  * New upstream release
  * Drop gi import patch: applied in new release
  * debian/control.in: Bump debhelper-compat to 13
  * debian/control.in: Have system-config-printer recommend avahi-utils
  * debian/python3-cupshelpers.install: Install debug.py & smburi.py again
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Simplify dh_clean
  * Install apport hook on Ubuntu
  * Suggest instead of recommend the universe package python3-smbc on Ubuntu
  * Add patches from Ubuntu
    - Allow-installing-packages-from-OpenPrinting.patch
    - Do-not-autostart-the-applet-on-LXDE-or-Unity.patch
    - Show-Printer-Settings-in-Unity-Control-Center.patch

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 10:56:37 -0500

system-config-printer (1.5.14-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Fix upstream-vcs-tag, tag format changed upstream
  * Fix UI freeze when changing the driver or an existing printer, patch from
    upstream

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Jan 2021 15:22:34 +0100

system-config-printer (1.5.13-1) unstable; urgency=medium

  * New upstream release
    - Add support for python 3.9  (Closes: #975791)
    - Fix abrt in udev-configure-printer (Closes: #958104)
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Dec 2020 16:41:31 +0100

system-config-printer (1.5.12-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release:
    - 0003-Use-ValueError-instead-of-ImportError-to-catch-excep.patch
    - 0004-Fix-constructing-the-auth-dialog.patch
    - 0005-Require-proper-version-of-GDK-and-GTK-in-scp-dbus-se.patch
    - 0006-Set-programe-name-for-scp-dbus-service-as-well.patch
    - define-classes-for-Secret-only-when-libsecret-is-installe.patch
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Oct 2019 07:31:00 -0400

system-config-printer (1.5.11-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 13:03:27 -0500

system-config-printer (1.5.11-3) unstable; urgency=medium

  * Cherry-pick define-classes-for-Secret-only-when-libsecret-installed.patch:
    - Don't crash when gir1.2-secret-1 is not installed (Closes: #892256)
  * Bump Standards-Version to 4.2.1
  * Don't install AUTHORS since it duplicates debian/copyright
  * Remove upstream signing key.
    - Releases haven't been signed since moving to Github

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 29 Sep 2018 15:05:33 -0400

system-config-printer (1.5.11-2) unstable; urgency=medium

  * Build-Depend on python3-distutils

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Mar 2018 09:03:02 -0400

system-config-printer (1.5.11-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Laurent Bigonville ]
  * New upstream release.
    - Drop d/p/0010-no-start-printer-applet-gnome.patch, applied upstream
    - Use libsecret instead of gnome-keyring (Closes: #867952)
    - debian/system-config-printer.install: Fix installation of appdata file
  * debian/rules: Fix the URL to download the orig tarball using get-orig-source
  * d/p/0003-Use-ValueError-instead-of-ImportError-to-catch-excep.patch: Fix
    exception handling when importing libsecret, that should made it really
    optional (Closes: #868039)
  * d/p/0004-Fix-constructing-the-auth-dialog.patch: Fix constructing the auth
    dialog, from upstream
  * d/p/0005-Require-proper-version-of-GDK-and-GTK-in-scp-dbus-se.patch,
    d/p/0006-Set-programe-name-for-scp-dbus-service-as-well.patch: Require
    version of GDK and GTK bindings before importing them and properly set the
    program name even when scp-dbus-service is D-Bus activated.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 Feb 2018 17:16:55 +0100

system-config-printer (1.5.9-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:36:37 -0500

system-config-printer (1.5.9-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/watch and Homepage to point to github repo
  * Update Vcs links

  [ Laurent Bigonville ]
  * debian/control.in: Make the system-config-printer-common package recommend
    cups-pk-helper and python3-smbc package instead of system-config-printer,
    the code using these modules are in that package.
  * debian/rules: Remove the dbus/org.fedoraproject.Config.Printing.service
    file during the clean target so it's generated with the proper path

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Jun 2017 14:50:52 +0200

system-config-printer (1.5.9-1) experimental; urgency=medium

  * New upstream release.
    - Drop debian/patches/0008-fix-device-sorting.patch,
      debian/patches/0009-fix-udev-add-printer-shbang.patch: Merged upstream
    - debian/patches/0007-fix-pk-package-name.patch: Refreshed
  * Switch to dh sequences from cdbs
  * Do not install smburi.py and debug.py in python3-cupshelpers anymore, this
    doesn't seem needed anymore
  * Bump debhelper compatibility to version 10
  * Drop debian/patches/03_install_layout.patch, this doesn't seem needed
    anymore and adjust debian/python3-cupshelpers.install
  * debian/control.in: Add gir1.2-polkit-1.0 to the dependencies

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Feb 2017 22:26:58 +0100

system-config-printer (1.5.7-3) unstable; urgency=medium

  * debian/patches/0010-no-start-printer-applet-gnome.patch: Do not start the
    printer-applet in GNOME or Cinnamon {gnome,cinnamon}-settings-daemon is
    already taking care of this.
  * debian/rules: Move the definition of DEB_PYTHON3_MODULE_PACKAGES before
    including python-module.mk otherwise cdbs is not calling dh_python3 as
    expected

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Feb 2017 17:55:32 +0100

system-config-printer (1.5.7-2) unstable; urgency=medium

  * Move part of system-config-printer to system-config-printer-common
    package, gnome-control-center only needs a subset of system-config-printer
  * debian/control.in: s/gnome-packagekit-session/gnome-software, the former
    is a transitional package
  * debian/control.in: Bump Standards-Version to 3.9.8 (no further changes)
  * Drop debian/gpk-install-package-name, this doesn't seem needed anymore
  * Drop adwaita-icon-theme dependency, try to avoid individual packages to
    depend against themes.
  * Add debian/patches/0008-fix-device-sorting.patch: Fix sorting of devices,
    taken from upstream
  * Drop debian/patches/0002-Disable-firewall-checks.patch: firewalld is
    available in Debian as well, let's integrate with it.
  * Add debian/patches/0009-fix-udev-add-printer-shbang.patch: Fix incorrect
    python3 invocation, taken from upstream (Closes: #823472)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jun 2016 11:16:46 +0200

system-config-printer (1.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Add Tim Waugh's public key to debian/upstream/signing-key.asc and
    tell uscan to check the tarball signatures.
  * Drop 0001-Adjust-python-paths.patch, not needed as all Python source
    files are installed into the same directory.
  * Refresh other patches via quilt.
  * Rename python-cupshelpers to python3-cupshelpers, following upstream
    switch to Python 3.
  * debian/control:
    - Replace python-* with python3-*.
    - Replace python-pycurl with python3-requests.
    - Replace gnome-icon-theme with adwaita-icon-theme.
    - Drop ancient hal-cups-utils conflicts, that package is not even in
      oldoldstable (aka squeeze).
    - Remove trailing whitespace from package descriptions.
  * Add 03_install_layout.patch to install cupshelpers Python module to
    correct location (copied from Ubuntu).
  * debian/gpk-install-package-name:
    - Update to make it work with Python 3.
    - Minor refactorings.
  * Rewrite debian/copyright using 1.0 format.
  * Bump debhelper compatibility level to 9.
  * No-op wrap and sort.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Sep 2015 12:12:29 +0300

system-config-printer (1.4.8-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
    - Fixes TypeError when trying to change printer properties
      (closes: #791705)
  * Drop patches obsoleted by upstream changes:
    - 0003-Use-our-custom-cpk-install-package-name.patch
    - 0008-return-exception-rather-than-looping.patch
  * Refresh patches via quilt
  * Fix package description spelling error caught by lintian
    - Insert 'one' in ... allow one to...

  [ Dmitry Shachnev ]
  * Drop python-gobject-2 dependency, no longer needed.
  * Build-depend on python, instead of unneeded python-all-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Sep 2015 15:11:44 +0300

system-config-printer (1.4.6-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop obsolete python-gnomekeyring Suggests, the package has been
    ported to use GnomeKeyring via introspection.

  [ Laurent Bigonville ]
  * New upstream release (Closes: #744869)
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/rules: Pass --with-udevdir to the configure, to install the udev
    helpers and config files to the proper directory
  * debian/system-config-printer-udev.install: The udev helpers and the
    config files are now installed in the proper directory
  * d/p/0003-Use-our-custom-cpk-install-package-name.patch,
    d/p/0006-use-paper-size-default-in-etc-papersize.patch: Refreshed
  * Drop d/p/0005-Fix-French-translation.patch,
    d/p/0007-scp-dbus-service-fix-dbus-signature-typo.patch: Merged upstream
  * Drop debian/patches/0008-fix-udevhelperdir.patch: The path is expanded
    properly
  * Add debian/patches/0007-fix-pk-package-name.patch: Fix the package names
    that PackageKit should try to install
  * debian/system-config-printer.install: Install appdata file
  * d/p/0008-return-exception-rather-than-looping.patch: This patch should fix
    the infinite loop creating million of symlinks in /tmp (Closes: #764253)
  * debian/control.in: Suggest gnome-packagekit-session instead of
    sessioninstaller (Closes: #623013)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Oct 2014 01:29:14 +0200

system-config-printer (1.4.3-4) unstable; urgency=medium

  * d/p/0008-fix-udevhelperdir.patch: Use the debian location for
    udev-configure-printer

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Feb 2014 01:52:27 +0100

system-config-printer (1.4.3-3) unstable; urgency=medium

  * debian/rules: Pass --list-missing to dh_install
  * debian/rules, debian/system-config-printer-udev.install: Install systemd
    configure-printer@.service file (Closes: #739964)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Feb 2014 00:03:14 +0100

system-config-printer (1.4.3-2) unstable; urgency=medium

  * debian/control.in:
    - Add dependency against python-gobject-2 and python-cairo
      (Closes: #730516)
    - Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Feb 2014 00:34:18 +0100

system-config-printer (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #727556)
    - Fix some Unicode-related issues (Closes: #718263, #725882)
  * d/p/0006-use-paper-size-default-in-etc-papersize.patch: Detect paper size
    using /etc/papersize if it's available, thanks to the Ubuntu guys
    (Closes: #593219)
  * d/p/0007-scp-dbus-service-fix-dbus-signature-typo.patch: Fix typo in a
    D-Bus method signature (Taken from Ubuntu, thanks)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 26 Oct 2013 14:58:35 +0200

system-config-printer (1.4.1-4) unstable; urgency=low

  * Switch from pysupport to dh_python2
  * debian/control.in: Add python-gi to the dependencies (Closes: #717153)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Sep 2013 08:38:32 +0200

system-config-printer (1.4.1-3) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Bump python-smbc to Recommends (Closes: #611303)

  [ Emilio Pozuelo Monfort ]
  * debian/system-config-printer.maintscript:
    + Tell dpkg about the new conffile names. Closes: #711633.
  * debian/control.in:
    + Bump Standards-Version to 3.9.4, no changes needed.
    + Build depend on autotools-dev to get updated config.{sub,guess}.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Jun 2013 16:02:14 +0200

system-config-printer (1.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 15:58:31 +0200

system-config-printer (1.4.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Change the maintainer to the GNOME team. Thanks Otavio for all
    your work!

  [ Jordi Mallach ]
  * Don't search for .bz2 tarballs, only .xz is supported.
  * Fix get-orig-source by using more gnome-get-source.mk variables to
    build the download URL.
  * Remove obsolete postinst script.
  * Bump debhelper compatibility to 8.
  * Remove debian/tmp prefix from .install files.
  * Update Vcs-* fields to non-redirected URLs.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + Doesn't use deprecated udev functions. Closes: #705521.
    + debian/control.in:
      - Update build dependencies.
      - Update dependencies for the GI migration.
      - Bump python-cups dependency to 1.9.60.
    + debian/install:
      - Renamed to debian/system-config-printer.install.
    + debian/rules,
      debian/system-config-printer.install:
      - Remove various hacks in debian/rules and just install the upstream
        script to run system-config-printer{,-applet}.
    + debian/rules:
      - Remove debug.py instead of options.py as that's what we're copying.
    + debian/system-config-printer.install:
      - Install the dbus service files and the necessary binaries.
        Closes: #705414.
    + debian/patches/0004-Fix-MITM-via-unencrypted-metadata-download.patch:
      - Removed, included upstream.
    + debian/patches/*:
      - Refreshed.
  * Upload to experimental until the python-cups dependency can be satisfied
    in unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 14:00:55 +0200

system-config-printer (1.3.7-4) unstable; urgency=low

  * debian/control.in: Add missing Depends against python-dbus
    (Closes: #627810)
  * debian/python-cupshelpers.install: Install missing
    /etc/cupshelpers/preferreddrivers.xml file (Closes: #695582)
  * debian/patches/0005-Fix-French-translation.patch: Fix confusing French
    translation (Closes: #615113)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Jan 2013 21:53:18 +0100

system-config-printer (1.3.7-3) unstable; urgency=low

  * Upload to unstable
  * Bump standards version to 3.9.2. No source changes.
  * Remove now superfulous '/usr/bin/env' removal.  Upstream removed this
    already.
  * Adjust download URL

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Dec 2011 19:46:52 +0100

system-config-printer (1.3.7-2) experimental; urgency=low

  * Add pycurl dependency to control.in too.
    Thanks; Michael Biebl (Closes: #652387)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 Dec 2011 12:56:42 +0100

system-config-printer (1.3.7-1) experimental; urgency=low

  * New upstream version 1.3.7 (Closes: #642211)
  * Update watch file.
    Upstream uses xz now (Closes: #646320)
  * Drop superfluous patches.
        0003-Adjust-package-names.patch
        0004-Fix-blacklist-name.patch
        0005-Revert-to-the-correct-menu-category.patch
        0006-Don-t-blindly-listen-to-any-signal.patch
  * configure: Enable installation of udev rule
  * Fix MITM via unencrypted metadata download (CVE-2011-4405).
    Patch taken from Ubuntu. Thanks to Till Kamppeter

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Dec 2011 20:57:36 +0100

system-config-printer (1.2.3-3) unstable; urgency=high

  * Depend on libxml2 (Closes: #597723)
  * Make system-config-printer conflict on hal-cups-utils to help
    lenny->>squeeze updates. Otherwise hal-cups-utils won't get removed. See
    http://lists.debian.org/debian-release/2010/09/msg00923.html for a
    discussion.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Sep 2010 10:48:07 +0200

system-config-printer (1.2.3-2) unstable; urgency=low

  * python-cupshelpers: Don't Break and Replace python-cupsutils since we
    don't share any files and this eases upgrades via apt-get.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Sep 2010 17:42:18 +0200

system-config-printer (1.2.3-1) unstable; urgency=medium

  [ Guido Günther ]
  * Add Vcs-{Svn,Browser} and Homepage URLs
  * Add myself to uploaders
  * pyversions, control.in: require python 2.6 (Closes: #594901)

  [ Josselin Mouette ]
  * pyversions, control.in: require python 2.5. Closes: #594402.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Aug 2010 13:25:48 +0200

system-config-printer (1.2.3-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Aug 2010 17:49:59 +0200

system-config-printer (1.2.3-0.2) experimental; urgency=low

  * Non-maintainer upload.
  * Install debug.py and smburi.py in the cupshelpers package
    (Closes: #525714)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Aug 2010 20:29:23 +0200

system-config-printer (1.2.3-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New Upstream version 1.2.3 (Closes: #49333)
        - No deprecation warnings (Closes: #574636)
        - Uses udev instead of hal (Closes: #568477, #581511)
        - uses PolicyKit (Closes: #499284)
  * Conflict on hal-cups-utils since system-config-printer-udev provides this
    functionality now.
  * Use cups-pk-helper instead of gksu (Closes: #469587, #479829)
  * Move package to section gnome. (Closes: #590571)
  * Rename python-cupsutils to python-cupshelpers
  * Switch to 3.0 (quilt) format
  * Bump standard version to 3.9.1
  * New patches:
       - 0002-Disable-firewall-checks.patch. Disable RH specific firewall
         checks
       - 0003-Adjust-package-names.patch. Adjust package names to match the
         Debian ones
       - 0004-Fix-blacklist-name.patch. Fix blacklist name
       - 0007-Use-our-custom-cpk-install-package-name.patch use packagekit
         when available
  * Updated patches:
       - 0001-Adjust-python-paths.patch
         0005-Revert-to-the-correct-menu-category.patch
         0006-Don-t-blindly-listen-to-any-signal.patch
  * Dropped pachtes:
      - 01_no_rhpl: fixed upstream.
      - 02_translations: upstream translation updates seem to include these
      - 03_elementtree: not needed anymore.
      - 04_jobsheets_traceback.patch: fixed upstream
      - 08_stock_icons.patch: fixed upstream
      - 11_use_gksu.patch: gksu replaced by PolicyKit
      - 12_remove_redhat: fixed upstream.
      - 15_close_shortcut.patch: close is more consistent with other applets
      - 17_new_printer_notification.patch: fixed upstream, applet gets the new
        printer notifications
      - 19_dbus_interfaces.patch: fixed upstream
      - 31_browse_hang: code changed
      - 32_pycups_traceback.patch: fixed upstream
      - 30_install_traceback.patch: fixed upstream
      - 33_dont_strip_Printer.patch: code changed

 -- Guido Günther <agx@sigxcpu.org>  Wed, 28 Jul 2010 12:22:57 +0200

system-config-printer (1.0.0-6) unstable; urgency=low

  * The “We’ll deal with the rest later” release.
  * Move smburi.py to python-cupsutils.
  * This allows system-config-printer-kde to not depend on
    system-config-printer. Closes: #525714.
  * Update 13_python_paths.patch accordingly.

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Jun 2009 10:50:17 +0200

system-config-printer (1.0.0-5) unstable; urgency=low

  [ Loic Minier ]
  * Don't purge /etc/xdg/autostart/redhat-print-applet.desktop during first
    installation.

  [ Josselin Mouette ]
  * 19_dbus_interfaces.patch: remove redundant send_interface lines in
    the dbus configuration file. Closes: #510756.
  * 02_translations.patch: new Romanian translation from Eddy Petrișor.
    Closes: #519217.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Apr 2009 13:20:11 +0200

system-config-printer (1.0.0-4) unstable; urgency=low

  * Require desktop-file-utils 0.13. Closes: #499382, thanks Tom Parker.
  * Depend on gnome-icon-theme. Closes: #506282.

 -- Josselin Mouette <joss@debian.org>  Thu, 20 Nov 2008 09:49:02 +0100

system-config-printer (1.0.0-3) unstable; urgency=low

  * 02_translations.patch:
    + Updated Catalan translation by David Planella. Closes: #494092.
    + Updated Finnish translation by Esko Arajärvi. Closes: #498106.
  * 04_jobsheets_traceback.patch: new patch. Don't send None to
    setPrinterJobSheets, send "none" instead. Don't send anything if
    nothing was selected. Closes: #486941, #486580.
  * Standards version is 3.8.0, no changes.

 -- Josselin Mouette <joss@debian.org>  Fri, 12 Sep 2008 17:50:55 +0200

system-config-printer (1.0.0-2) unstable; urgency=low

  * Switch to quilt for patch management; build-depend on quilt.
  * Merge all translation updates in 02_translations.patch.
  * New translations:
    + Spanish (Javier Fernández-Sanguino Peña)
    + Vietnamese (Clytie Siddall)
    + Russian (Yuri Kozlov), closes: #485654
    + German (Helge Kreutzmann), closes: #485982
    + Basque (Piarres Beobide)
    + simplified Chinese (Deng Xiyue), closes: #486198
    + Turkish (Mert Dirik).
    + Czech (Martin Šín), closes: #486379.
  * Recommend hal-cups-utils.
  * 15_close_shortcut.patch: use gtk-close instead of gtk-quit, so that
    the default shortcuts to close a window are used.
  * 16_dont_monitor_session.patch: don’t blindly listen to any signal
    that goes through the session bus. Gnome-session will know when to
    kill the applet. Closes: #486674, thanks Michal Čihař.
  * 17_new_printer_notification.patch: allow anyone to listen to the new
    printer notification dbus signal. Closes: #486613.
  * 18_debian_packages.patch:
    + List the correct Debian packages that provide the given programs.
    + Use gksu+synaptic to install the packages.
    + Launch gksu+s-c-p to configure the printers from the applet.
  * Install the new debutils.py file.
  * Recommend synaptic.
  * 13_python_paths.patch: also fix the shebangs.
  * 30_install_traceback.patch, 31_browse_hang.patch,
    32_pycups_traceback.patch, 33_dont_strip_Printer.patch: stolen from
    upstream’s git tree. Fix a few crashers.
  * Upload to unstable; drop check-dist include.

 -- Josselin Mouette <joss@debian.org>  Sun, 22 Jun 2008 19:13:39 +0200

system-config-printer (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file and get-orig-source URL.
  * Target at experimental; include check-dist.mk.
  * 02_fr_po.patch: updated translations for the new version.
  * 04_de_po.patch: dropped, included upstream.
  * 05_vi_po.patch, 06_ru_po.patch, 07_es_po.patch: updated to apply
    cleanly.
  * 08_stock_icons.patch: update for the new version.
  * 12_remove_redhat.patch: added; remove redhat- from the .desktop
    names and X-RedHat-Base from the categories.
  * postinst: remove the old redhat-print-applet.desktop file.
  * Remove useless README.Debian.
  * Split utility modules in a python-cupsutils package, making them
    public. They will be used by hal-cups-utils.
  * Remove the wrapper scripts in /usr/bin, put the python scripts
    directly.
  * 13_python_paths.patch: new patch, modify python search paths and
    imports according to these changes.
  * 11_use_gksu.patch: disable startup notification, which is broken by
    gksu.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Jun 2008 13:18:20 +0200

system-config-printer (0.7.81-4) unstable; urgency=low

  * 07_es_po.patch: remove ISO8859 encoded text, leading to a crash when
    using a Spanish local. Closes: #484136.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Jun 2008 01:11:21 +0200

system-config-printer (0.7.81-3) unstable; urgency=low

  * 06_ru_po.patch: updated Russian translation by Yuri Kozlov.
    Closes: #467176.
  * 07_es_po.patch: updated Spanish translation by Javier
    Fernández-Sanguino Peña. Closes: #468580.
  * Drop dependency on python-xml. Closes: #468617.
  * pyversions: require python 2.4.
  * Depend on python-notify. Closes: #471943.
  * Depend on python-dbus.
  * Don't require python-elementtree when python version is >= 2.5.
  * 08_stock_icons.patch: use the "add" icon to add a printer, and the
    "new" icon to create a group, in both the toolbar and the menu.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Apr 2008 18:50:08 +0200

system-config-printer (0.7.81-2) unstable; urgency=low

  * 04_de_po.patch: updated German translation by Helge Kreutzmann.
    Closes: #466305.
  * 05_vi_po.patch: updated Vietnamese translation by Clytie Siddall.
    Closes: #466377.
  * Depend on python-gnome2. Closes: #467094.

 -- Josselin Mouette <joss@debian.org>  Sat, 23 Feb 2008 09:26:24 +0100

system-config-printer (0.7.81-1) unstable; urgency=low

  * Put the package under co-maintenance by the GNOME team, on
    maintainer’s request.
  * rules: use uploaders.mk and gnome-get-source.mk.
  * Build-depend on gnome-pkg-tools.
  * Require python-cups 1.9.27. Closes: #457702.
  * 10_menu_entries.patch: revert to the correct menu category.
    Closes: #460865.
  * New upstream release.
    + Removes .png extension in the desktop file. Closes: #461023.
  * 01_no_rhpl.patch: updated for new version.
  * Rework the package description.
  * Rename 10_menu_entries.patch into 10_show_manage_jobs.patch.
  * 11_use_gksu.patch: launch system-config-printer using gksu.
    Closes: #460864, #460215.
  * Depend on gksu.
  * 02_fr_po.patch: fix French translation. Closes: #460861.
  * Depend on python-elementtree.
  * 03_elementtree.patch: support elementtree.ElementTree for pre-2.5
    python versions.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Feb 2008 10:51:09 +0100

system-config-printer (0.7.78-1) unstable; urgency=low

  * Imported upstream version 0.7.78. Closes: #451808, #445245
  * Bump standards-version to 3.7.3 (no changes needed)
  * Use gettext instead of rhpl (taken from Ubuntu package)
  * Change menu entries (taken from Ubuntu package)
  * Remove makefile patch since it not needed anymore

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 16 Dec 2007 00:15:42 -0200

system-config-printer (0.7.71-1) unstable; urgency=low

  * New Upstream Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 03 Aug 2007 21:54:29 -0300

system-config-printer (0.7.70-2) unstable; urgency=low

  * Add xmlto to Build-Depends. Closes: #433746

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 29 Jul 2007 21:30:37 -0300

system-config-printer (0.7.70-1) unstable; urgency=low

  * New Upstream Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Sun, 15 Jul 2007 20:47:12 -0300

system-config-printer (0.7.69-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: Use git-import-orig instead of uupdate so it integrates
    better with our git repository.
  * debian/rules: Drop the code to fix the executable permissions on
    /usr/share since it's being done properly on upstream tarball.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 12:42:36 -0300

system-config-printer (0.7.66-1) unstable; urgency=low

  [ This package has been done using 0.7.62-0ubuntu1 sources as
    base. Thanks to Jani Monoses <jani@ubuntu.com> by his work on it ]

  * debian/copyright: Update download URI.
  * debian/watch: Add to allow easier upgrade of package version.
  * debian/control: Remove versioned dependency of python-cups.
  * debian/rules, debian/control: Move from python-central to python-support.
  * debian/rules: Fix, by hard, wrong executable permissions on /usr/share.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 12:33:01 -0300
